/************************************************************************************
* Guardar  equipo --> EquipoNuevo.blade.php
*************************************************************************************/
$("#btnGuardarEquipo").click(function () {

    var ArrayInputs = [
        '#equi_modelo',
        '#equi_serie',
        '#equi_color',
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var tieq_id                 =  $("#tieq_id option:selected").val();
        var equi_nombreTipoEquipo	=  $("#tieq_id option:selected").text();
             
        var marc_id                 =  $("#marc_id option:selected").val();
        var equi_marcaNombre	    =  $("#marc_id option:selected").text();

        
        var equi_serie          = $('#equi_serie').val()
        var equi_modelo         = $('#equi_modelo').val()
        var equi_color          = $('#equi_color').val()

        var equi_estado = "";
        $('#equi_estado').is(':checked') ? equi_estado = "NUEVO" : equi_estado = "USADO";
        var equi_comentarios    = $('#equi_comentarios').val()
        //alert(tieq_descripcion);

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/GuardarEquipo',
            data: {

                'tieq_id': tieq_id,                
                'equi_nombreTipoEquipo': equi_nombreTipoEquipo,
                'marc_id': marc_id,
                'equi_marcaNombre': equi_marcaNombre,
                'equi_serie': equi_serie,
                'equi_modelo': equi_modelo,
                'equi_color': equi_color,
                'equi_estado': equi_estado,
                'equi_comentarios': equi_comentarios,


            },

            success: function (data) {

                if (data == true){
                    
                    
                    swal("Registrado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarEquipos";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Actualizar Tipo equipo --> tipoEquipoEditar.blade.php
*************************************************************************************/
$("#btnActualizarEquipo").click(function () {

    var ArrayInputs = [
        '#equi_modelo',
        '#equi_serie',
        '#equi_color',
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var equi_id                 =  $("#equi_id").val();
        var tieq_id                 =  $("#tieq_id option:selected").val();
        var equi_nombreTipoEquipo	=  $("#tieq_id option:selected").text();
             
        var marc_id                 =  $("#marc_id option:selected").val();
        var equi_marcaNombre	    =  $("#marc_id option:selected").text();

        
        var equi_serie          = $('#equi_serie').val()
        var equi_modelo         = $('#equi_modelo').val()
        var equi_color          = $('#equi_color').val()

        var equi_estado = "";
        $('#equi_estado').is(':checked') ? equi_estado = "NUEVO" : equi_estado = "USADO";
        var equi_comentarios    = $('#equi_comentarios').val()    

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/EditarEquipo',
            data: {

                'equi_id': equi_id,
                'tieq_id': tieq_id,                
                'equi_nombreTipoEquipo': equi_nombreTipoEquipo,
                'marc_id': marc_id,
                'equi_marcaNombre': equi_marcaNombre,
                'equi_serie': equi_serie,
                'equi_modelo': equi_modelo,
                'equi_color': equi_color,
                'equi_estado': equi_estado,
                'equi_comentarios': equi_comentarios,

            },

            success: function (data) {

                if (data == true){

                    swal("Actualizado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarEquipos";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Baja de Equipo --> EquipoEditar.blade.php
*************************************************************************************/
$("#btnBajaEquipo").click(function () {
    
    var equi_id = $('#equi_id').val();

    swal({
        title: "¿Esta seguro?",
        text: "Se va a dar de baja este equipo",
        icon: "warning",
        buttons: true,
        dangerMode: true,
      })
      .then((willDelete) => {
        if (willDelete) {

            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                type: "POST",
                url: '/BajaEquipo',
                data: {
        
                    'equi_id': equi_id,
                },
        
                success: function (data) {
        
                    if (data == true){
        
                        swal("Listo! equipo de baja", {
                            icon: "success",
        
                          }).then(function() {
                            //alert(data);
                            window.location.href = "/ListarEquipos";
                            });
                    }else{                        
                        swal("Problemas","El equipo seleccionado ESTA ASIGNADO Y ACTIVO debe ser liberado antes de continuar", "warning");
                    }
                },
                error: function (data) {
                    //alert(data);
                    swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
                },
            }); 
        } 
      });

});

/************************************************************************************
* Funcion para validar campos vacios en alguna vista
* Recibe un array de inputs
*************************************************************************************/
function ValidarVista(parametro) {

    var validacion = true;
    for (i = 0; i < parametro.length; i++) {
        //alert(parametro[i]);

        if ($(parametro[i]).val() == "") {
            $(parametro[i]).addClass("is-invalid");
            validacion = false;
        }
        else { $(parametro[i]).removeClass("is-invalid"); };
    }
    //alert(parametro);
    return validacion;
}
